Bug 79691 - Update port: net/bindtest - fixed size and checksum
Update port: net/bindtest - fixed size and checksum
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pav
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-08 18:40 UTC by question+fbsdports
Modified: 2005-05-02 17:21 UTC (History)
1 user (show)

See Also:


Attachments
bindtest-1.56.diff (766 bytes, patch)
2005-04-08 18:40 UTC, question+fbsdports
no flags Details | Diff
bindtest-1.56.diff2 (1.06 KB, text/plain; charset=us-ascii)
2005-04-15 02:29 UTC, question+fbsdports
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description question+fbsdports 2005-04-08 18:40:03 UTC
Fixed size and checksum mismatch for dist tarball. It looks like the tarball
is generated by the software maintainer from CVS, which can lead to both size
and checksum mismatch.
Comment 1 Sergey Matveychuk freebsd_committer 2005-04-09 17:23:54 UTC
Any chance it way a legitimate changes?

As described in Porter's Handbook you should analyse and describe 
changes instead of just correct checksum and size.

-- 
Sem.
Comment 2 question+fbsdports 2005-04-09 18:56:37 UTC
On 2005-04-09 20:23 +0400, Sergey Matveychuk <sem@FreeBSD.org> wrote:

# Any chance it way a legitimate changes?
# 
# As described in Porter's Handbook you should analyse and describe 
# changes instead of just correct checksum and size.

As described in the PR, it looks like the tarball is being
auto-generated from files pulled from a CVS repository. Looking at the
tarball, the contents of the CVS directory changes each time the files
are pulled from CVS and tarballed.

It looks like the authors are generating the tarball each night or
almost every night. That is the reason for the size and checksum
change... this also means that having a static size and checksum in
distinfo is going to cause the port to not build in most cases.

For instance, the latest info for the bindtest.tgz file from
ftp://ftp.kame.net/pub/kame/misc/ (which is the first master site listed
in the Makefile) has a modified time of "2005-04-08 20:09:00", a size of
9568 and a different checksum than the one I submitted in the PR.

-- 
Linh Pham
question+fbsdports@closedsrc.org
http://closedsrc.org/
Comment 3 pav freebsd_committer 2005-04-09 22:30:25 UTC
There's 2005-04-09 20:09 file there now, even. Does that mean your patch
is not useful, because it's lifespan is one day?

Then I think we'll need more permanent solution.

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

It also explains why paper clips just lie there while you look at them,
but as soon as you turn your back, they run away, giggling wildly,
and transform themselves into coat hangers.
Comment 4 question+fbsdports 2005-04-15 02:29:13 UTC
I have set the MD5 checksum and size for the distfile to IGNORE in
distinfo, added/bumped PORTREVISION, and added IGNOREFILES to Makefile.

I ran portlint against my version of the port and it didn't like the
"extra" IGNOREFILES line in the Makefile... so I don't know if it
doesn't know about it or if I didn't put it in the right location.

Attached is the updated diff against the current version of the port.

Hope it's okay.

-- 
Linh Pham
question+fbsdports@closedsrc.org
http://closedsrc.org/
Comment 5 pav freebsd_committer 2005-04-20 17:03:38 UTC
Dear maintainer of FreeBSD port net/bindtest, please take a look at

http://www.freebsd.org/cgi/query-pr.cgi?q=79691

Do you approve the latest patch?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Do not meddle in the affairs of Wizards, for they are subtle and
quick to anger.
Comment 6 pav freebsd_committer 2005-04-20 17:03:41 UTC
State Changed
From-To: open->feedback

Asked maintainer for approval 


Comment 7 pav freebsd_committer 2005-04-20 17:03:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Handle
Comment 8 mohacsi 2005-05-02 17:15:11 UTC
Hi Pav,
 	I reread the discussion, and it seems that there is no real 
solution since bindtest generated from CVS. I approve the changes to 
ignore the checksum until i found a better solution.
 	Regards,

Janos Mohacsi
Network Engineer, Research Associate
NIIF/HUNGARNET, HUNGARY
Key 00F9AF98: 8645 1312 D249 471B DBAE  21A2 9F52 0D1F 00F9 AF98


On Wed, 20 Apr 2005, Pav Lucistnik wrote:

> Dear maintainer of FreeBSD port net/bindtest, please take a look at
>
> http://www.freebsd.org/cgi/query-pr.cgi?q=79691
>
> Do you approve the latest patch?
>
> -- 
> Pav Lucistnik <pav@oook.cz>
>              <pav@FreeBSD.org>
>
> Do not meddle in the affairs of Wizards, for they are subtle and
> quick to anger.
>
Comment 9 pav freebsd_committer 2005-05-02 17:21:49 UTC
State Changed
From-To: feedback->closed

Committed, thanks!